Page MenuHomePhabricator

Source map error: Error: request failed with status 404 Resource URL
Closed, ResolvedPublic

Description

A 404 seems to occur on every page view using client bridge

Source map issue with wikibase.client.data-bridge.init
Source Map URL: data-bridge.init.js.map

I believe this is because you are not including source maps in your dist build:

https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/extensions/Wikibase/+/7604de55feb4c3e22e1cc20935c1650c8feaa645/client/data-bridge/dist/

Please configure web pack to not use them or include them.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptAug 19 2020, 7:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Michael claimed this task.Aug 20 2020, 7:22 AM
Michael added a subscriber: Michael.

Can confirm it on beta. Will remove the reference to a production source map.

Restricted Application added a project: User-Michael. · View Herald TranscriptAug 20 2020, 7:22 AM

Change 621471 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] Don't try to load source maps in production

https://gerrit.wikimedia.org/r/621471

Change 621471 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Don't try to load source maps in production

https://gerrit.wikimedia.org/r/621471

Change 621488 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Michael Große):
[mediawiki/extensions/Wikibase@wmf/1.36.0-wmf.5] Don't try to load source maps in production

https://gerrit.wikimedia.org/r/621488

Change 621488 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@wmf/1.36.0-wmf.5] Don't try to load source maps in production

https://gerrit.wikimedia.org/r/621488

Mentioned in SAL (#wikimedia-operations) [2020-08-20T11:32:00Z] <lucaswerkmeister-wmde@deploy1001> Synchronized php-1.36.0-wmf.5/extensions/Wikibase/client/data-bridge/dist/: Backport: [[gerrit:621488|Don't try to load source maps in production (T260852)]] (duration: 01m 07s)

Lucas_Werkmeister_WMDE closed this task as Resolved.Aug 20 2020, 11:34 AM

Resolved on cawiki as far as I can tell.

Michael added a comment.EditedAug 20 2020, 11:39 AM

Can confirm that it no longer happens on https://ca.wikipedia.org/wiki/Berlín 🙌